RSS Feed RSS Feed

Lockdown Browser IS Supported on Canvas

If you have required the Respondus Lockdown Browser for quizzes in Canvas, your students will see this message when they open it:

Your browser doesn’t meet the minimum requirements for Canvas.

Students should ignore this message and use the Lockdown Browser anyway.

This message is being displayed because of some recent changes to Canvas, but it is not accurate and does not apply to the Respondus Lockdown Browser. Instructure is aware of the problem and is working on a hotfix.

Bottom line: Canvas will work just fine in the Respondus Lockdown Browser. On a side note, the Lockdown Browser for Windows has just been updated with bug fixes that make it faster. We recommend that students update their version by re-downloading the installer and choosing the “reinstall” option.


You can follow any responses to this entry through the RSS 2.0 feed. Both comments and pings are currently closed.

AddThis Social Bookmark Button

Comments are closed.